> ## Documentation Index
> Fetch the complete documentation index at: https://layerswaplabsv0-main-depositactionsguide.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Swap Route Limits

> Retrieves the limits for swap route. Token parameters accept either asset names (e.g. USDC, ETH) or token contract addresses (e.g. 0xa0b8...). For native tokens via contract address, use the network's zero address (e.g. 0x0000000000000000000000000000000000000000 for EVM, 11111111111111111111111111111111 for Solana).



## OpenAPI

````yaml https://api.layerswap.io/swagger/v2/swagger.json get /api/v2/limits
openapi: 3.0.1
info:
  title: Layerswap API V2
  version: v2
servers:
  - url: https://api.layerswap.io
    description: Mainnet
security:
  - X-LS-APIKEY: []
paths:
  /api/v2/limits:
    get:
      tags:
        - Swaps
      summary: Get Swap Route Limits
      description: >-
        Retrieves the limits for swap route. Token parameters accept either
        asset names (e.g. USDC, ETH) or token contract addresses (e.g.
        0xa0b8...). For native tokens via contract address, use the network's
        zero address (e.g. 0x0000000000000000000000000000000000000000 for EVM,
        11111111111111111111111111111111 for Solana).
      parameters:
        - name: source_network
          in: query
          required: true
          schema:
            type: string
          examples:
            Ethereum Mainnet:
              value: ETHEREUM_MAINNET
            Arbitrum Mainnet:
              value: ARBITRUM_MAINNET
            Optimism Mainnet:
              value: OPTIMISM_MAINNET
            BSC Mainnet:
              value: BSC_MAINNET
            Starknet Mainnet:
              value: STARKNET_MAINNET
            Solana Mainnet:
              value: SOLANA_MAINNET
        - name: source_token
          in: query
          required: true
          schema:
            type: string
          examples:
            ETH:
              value: ETH
            USDC:
              value: USDC
            USDC.e:
              value: USDC.e
            WETH:
              value: WETH
            USDC (contract):
              value: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
            Native token - EVM (contract):
              value: '0x0000000000000000000000000000000000000000'
            Native token - Solana (contract):
              value: '11111111111111111111111111111111'
        - name: destination_network
          in: query
          required: true
          schema:
            type: string
          examples:
            Ethereum Mainnet:
              value: ETHEREUM_MAINNET
            Arbitrum Mainnet:
              value: ARBITRUM_MAINNET
            Optimism Mainnet:
              value: OPTIMISM_MAINNET
            BSC Mainnet:
              value: BSC_MAINNET
            Starknet Mainnet:
              value: STARKNET_MAINNET
            Solana Mainnet:
              value: SOLANA_MAINNET
        - name: destination_token
          in: query
          required: true
          schema:
            type: string
          examples:
            ETH:
              value: ETH
            USDC:
              value: USDC
            USDC.e:
              value: USDC.e
            WETH:
              value: WETH
            USDC (contract):
              value: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
            Native token - EVM (contract):
              value: '0x0000000000000000000000000000000000000000'
            Native token - Solana (contract):
              value: '11111111111111111111111111111111'
        - name: use_deposit_address
          in: query
          schema:
            type: boolean
        - name: refuel
          in: query
          schema:
            type: boolean
        - name: X-LS-APIKEY
          in: header
          schema:
            type: string
            default: >-
              NDBxG+aon6WlbgIA2LfwmcbLU52qUL9qTnztTuTRPNSohf/VnxXpRaJlA5uLSQVqP8YGIiy/0mz+mMeZhLY4/Q
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponseSwapRouteLimitsModel'
components:
  schemas:
    ApiResponseSwapRouteLimitsModel:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        data:
          $ref: '#/components/schemas/SwapRouteLimitsModel'
      additionalProperties: false
    ApiError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        metadata:
          type: object
          additionalProperties: {}
      additionalProperties: false
    SwapRouteLimitsModel:
      type: object
      properties:
        min_amount_in_usd:
          type: number
          format: double
        min_amount:
          type: number
          format: double
        max_amount_in_usd:
          type: number
          format: double
        max_amount:
          type: number
          format: double
      additionalProperties: false
  securitySchemes:
    X-LS-APIKEY:
      type: apiKey
      name: X-LS-APIKEY
      in: header

````